/* tslint:disable */
/* eslint-disable */
/**
 * Golemio COVID-19 Prague API
 * API for multiple reservation system for samling points of COVID19
 *
 * The version of the OpenAPI document: 1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import * as runtime from '../runtime';
import {
    SamplingPointsOutput,
    SamplingPointsOutputFromJSON,
    SamplingPointsOutputToJSON,
} from '../models';

export interface SamplingPointsRequest {
    lang?: SamplingPointsLangEnum;
}

/**
 * 
 */
export class SamplingPointsApi extends runtime.BaseAPI {

    /**
     * List of all Sampling Points
     */
    async samplingPointsRaw(requestParameters: SamplingPointsRequest): Promise<runtime.ApiResponse<SamplingPointsOutput>> {
        const queryParameters: runtime.HTTPQuery = {};

        if (requestParameters.lang !== undefined) {
            queryParameters['lang'] = requestParameters.lang;
        }

        const headerParameters: runtime.HTTPHeaders = {};

        const response = await this.request({
            path: `/samplingpoints`,
            method: 'GET',
            headers: headerParameters,
            query: queryParameters,
        });

        return new runtime.JSONApiResponse(response, (jsonValue) => SamplingPointsOutputFromJSON(jsonValue));
    }

    /**
     * List of all Sampling Points
     */
    async samplingPoints(requestParameters: SamplingPointsRequest): Promise<SamplingPointsOutput> {
        const response = await this.samplingPointsRaw(requestParameters);
        return await response.value();
    }

}

/**
    * @export
    * @enum {string}
    */
export enum SamplingPointsLangEnum {
    Cs = 'cs',
    En = 'en'
}
